Update billing entities/item/tax registrations/item
curl --request PATCH \
--url https://api.callaro.ai/api/v1/billing_entities/{billing_entity_id}/tax_registrations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tax_registration": {
"country_code": "<string>",
"registration_type": "<string>",
"registration_number": "<string>",
"valid_from": "<string>",
"valid_to": "<string>",
"status": "<string>",
"billing_entity_id": "<string>"
}
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tax_registration: {
country_code: '<string>',
registration_type: '<string>',
registration_number: '<string>',
valid_from: '<string>',
valid_to: '<string>',
status: '<string>',
billing_entity_id: '<string>'
}
})
};
fetch('https://api.callaro.ai/api/v1/billing_entities/{billing_entity_id}/tax_registrations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/billing_entities/{billing_entity_id}/tax_registrations/{id}"
payload = { "tax_registration": {
"country_code": "<string>",
"registration_type": "<string>",
"registration_number": "<string>",
"valid_from": "<string>",
"valid_to": "<string>",
"status": "<string>",
"billing_entity_id": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"billing_entity_id": "<string>",
"country_code": "<string>",
"registration_type": "<string>",
"registration_number": "<string>",
"valid_from": "<string>",
"valid_to": "<string>",
"status": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Billing
Update billing entities/item/tax registrations/item
From api/v1/tax_registrations#update in voice_saas_api. Fields come from that action’s strong params / params usage.
PATCH
/
api
/
v1
/
billing_entities
/
{billing_entity_id}
/
tax_registrations
/
{id}
Update billing entities/item/tax registrations/item
curl --request PATCH \
--url https://api.callaro.ai/api/v1/billing_entities/{billing_entity_id}/tax_registrations/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tax_registration": {
"country_code": "<string>",
"registration_type": "<string>",
"registration_number": "<string>",
"valid_from": "<string>",
"valid_to": "<string>",
"status": "<string>",
"billing_entity_id": "<string>"
}
}
'const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tax_registration: {
country_code: '<string>',
registration_type: '<string>',
registration_number: '<string>',
valid_from: '<string>',
valid_to: '<string>',
status: '<string>',
billing_entity_id: '<string>'
}
})
};
fetch('https://api.callaro.ai/api/v1/billing_entities/{billing_entity_id}/tax_registrations/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.callaro.ai/api/v1/billing_entities/{billing_entity_id}/tax_registrations/{id}"
payload = { "tax_registration": {
"country_code": "<string>",
"registration_type": "<string>",
"registration_number": "<string>",
"valid_from": "<string>",
"valid_to": "<string>",
"status": "<string>",
"billing_entity_id": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text){
"data": {
"id": "<string>",
"billing_entity_id": "<string>",
"country_code": "<string>",
"registration_type": "<string>",
"registration_number": "<string>",
"valid_from": "<string>",
"valid_to": "<string>",
"status": "<string>"
},
"message": "<string>",
"meta": {},
"request_id": "<string>"
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}{
"error": "<string>",
"error_code": "<string>",
"request_id": "<string>",
"details": {},
"errors": [
"<string>"
]
}Authorizations
bearerAuthtenantApiKey
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Optional tenant context selector for JWT/partner key callers.
Body
application/json
Show child attributes
Show child attributes
Was this page helpful?